(function ($, Drupal) {
    Drupal.behaviors.webformResetButton = {
      attach: function () {
        $('.reset-button').on('click', function (event) {
          event.preventDefault();
  
          var form = $(this).closest('form')[0];
  
          $(form).find('input, textarea, select').each(function () {
            if ($(this).is('input[type="text"], input[type="email"], input[type="password"], textarea')) {
              $(this).val('');
            }
            else if ($(this).is('input[type="checkbox"], input[type="radio"]')) {
              $(this).prop('checked', false);
            }
            else if ($(this).is('select')) {
              $(this).prop('selectedIndex', 0);
            }
          });
        });
      }
    };
  })(jQuery, Drupal);
  